import { fw } from '@entityseven/rage-fw-server'

fw.event.register('playerJoin', async player => {
    fw.system.log.info(`Connected: ${player.socialClub}`)
})

fw.event.register('customServerEvent', async (player, greeting) => {
    fw.system.log.info(player.socialClub + ' ' + greeting)

    const resFromBrowser = await fw.player.triggerBrowser(
        player,
        'customBrowserEvent',
        ['from server'],
    )
    fw.system.log.info(player.socialClub + ' ' + resFromBrowser)

    return 'from server'
})
